package com.yonge.cooleshow.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.biz.dal.enums.CourseGroupEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Description 平台方 老师详情直播课列表
 *
 * @author liujunchi
 * @date 2022-04-18
 */
@ApiModel("平台方 老师详情直播课列表")
public class LiveCourseGroupVo {


    @ApiModelProperty("课程组编号")
    private Long courseGroupId;

    @ApiModelProperty("课程名称")
    private String name;

    @ApiModelProperty("课程声部")
    private String subjectName;

    @ApiModelProperty("课程数")
    private Long courseNum;

    @ApiModelProperty("已结束课时数")
    private Integer endCourseNum;

    @ApiModelProperty("未开始课程数")
    private Integer noStartCourseNum;

    @ApiModelProperty("销售价格（元）")
    private BigDecimal coursePrice;

    @ApiModelProperty("购买人数")
    private Integer preStudentNum;

    @ApiModelProperty("课程组状态 ING进行中 COMPLETE已完成 DISSOLVE-未成课(解散课程) CANCEL已取消-未开始报名前可取消 APPLY报名中 NOT_SALE未开售")
    private CourseGroupEnum status;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("课程简介")
    private String courseIntroduce;


    public Long getCourseNum() {
        return courseNum;
    }

    public void setCourseNum(Long courseNum) {
        this.courseNum = courseNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCourseIntroduce() {
        return courseIntroduce;
    }

    public void setCourseIntroduce(String courseIntroduce) {
        this.courseIntroduce = courseIntroduce;
    }

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getEndCourseNum() {
        return endCourseNum;
    }

    public void setEndCourseNum(Integer endCourseNum) {
        this.endCourseNum = endCourseNum;
    }

    public Integer getNoStartCourseNum() {
        return noStartCourseNum;
    }

    public void setNoStartCourseNum(Integer noStartCourseNum) {
        this.noStartCourseNum = noStartCourseNum;
    }

    public BigDecimal getCoursePrice() {
        return coursePrice;
    }

    public void setCoursePrice(BigDecimal coursePrice) {
        this.coursePrice = coursePrice;
    }

    public Integer getPreStudentNum() {
        return preStudentNum;
    }

    public void setPreStudentNum(Integer preStudentNum) {
        this.preStudentNum = preStudentNum;
    }

    public CourseGroupEnum getStatus() {
        return status;
    }

    public void setStatus(CourseGroupEnum status) {
        this.status = status;
    }
}
